import { jsx } from "react/jsx-runtime";
import { TokenDPX as TokenDPX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDPX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DPX", "data-name": "TokenDPX", ...props, children: /* @__PURE__ */ jsx(TokenDPX$1, { variant }) });
  }
);
TokenDPX.displayName = "TokenDPX";
Object.assign(TokenDPX, { isGdsIcon: true });
export {
  TokenDPX
};
